"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionBanner = void 0;
var _react = _interopRequireDefault(require("react"));
require("./CoalitionBanner.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CoalitionBanner = (item, index) => {
  return /*#__PURE__*/_react.default.createElement("div", {
    key: "".concat(index, "_").concat(item.id),
    className: "coalition-banner-item"
  }, /*#__PURE__*/_react.default.createElement("a", {
    href: item.url,
    target: "_blank",
    rel: "noreferrer",
    className: "coalition-banner-link"
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: item.desktop_image,
    alt: "Banner",
    className: "coalition-banner-img coalition-banner-img-desktop"
  }), /*#__PURE__*/_react.default.createElement("img", {
    src: item.mobile_image,
    alt: "Banner",
    className: "coalition-banner-img coalition-banner-img-mobile"
  })));
};
exports.CoalitionBanner = CoalitionBanner;