"use strict";

require("core-js/modules/es.object.assign.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionCardExtraPointsDetail = void 0;
require("core-js/modules/es.symbol.description.js");
var _react = _interopRequireDefault(require("react"));
var _reactCollapsed = _interopRequireDefault(require("react-collapsed"));
var _svgs = require("../../svgs");
require("./CoalitionCardExtraPointsDetail.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const CoalitionCardExtraPointsDetail = _ref => {
  let {
    card
  } = _ref;
  const {
    getCollapseProps,
    getToggleProps,
    isExpanded
  } = (0, _reactCollapsed.default)();
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-extra-points-detail"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-extra-points-detail-main"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-extra-points-detail-product"
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: card.image,
    alt: "Product"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-extra-points-detail-specs"
  }, /*#__PURE__*/_react.default.createElement("h3", {
    className: "coalition-card-extra-points-detail-title"
  }, card.title), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-extra-points-detail-bullet"
  }, "+ ".concat(card.extra_points, " puntos adicionales")), /*#__PURE__*/_react.default.createElement("h4", {
    className: "coalition-card-extra-points-detail-description"
  }, card.description))), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-extra-points-detail-terms-conditions"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "collapsible"
  }, /*#__PURE__*/_react.default.createElement("div", _extends({
    className: isExpanded ? "collapsible-open header" : "collapsible-closed header"
  }, getToggleProps()), "T\xE9rminos y Condiciones", /*#__PURE__*/_react.default.createElement("span", null, isExpanded ? /*#__PURE__*/_react.default.createElement(_svgs.ChevronUp, null) : /*#__PURE__*/_react.default.createElement(_svgs.ChevronDown, null))), /*#__PURE__*/_react.default.createElement("div", getCollapseProps(), /*#__PURE__*/_react.default.createElement("div", {
    className: "content"
  }, card.terms_and_conditions)))));
};
exports.CoalitionCardExtraPointsDetail = CoalitionCardExtraPointsDetail;