"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionHeroBanner = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = require("prop-types");
var _svgs = require("../../svgs");
var _utils = require("./../../utils");
require("./CoalitionHeroBanner.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CoalitionHeroBanner = _ref => {
  let {
    name,
    balance
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-hero-banner"
  }, /*#__PURE__*/_react.default.createElement("h2", {
    className: "coalition-hero-banner-title"
  }, "Hola ", name), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-hero-color"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-hero-banner-img coalition-component-desktop"
  }, /*#__PURE__*/_react.default.createElement(_svgs.MonitaDesktop, null)), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-hero-banner-img coalition-component-mobile"
  }, /*#__PURE__*/_react.default.createElement(_svgs.MonitaMobile, null)), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-hero-color-balance"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-hero-color-balance-label"
  }, "Tus puntos disponibles:"), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-hero-color-balance-value"
  }, (0, _utils.drawBalance)(balance)))));
};
exports.CoalitionHeroBanner = CoalitionHeroBanner;
CoalitionHeroBanner.propTypes = {
  name: _propTypes.PropTypes.string,
  balance: _propTypes.PropTypes.number
};
CoalitionHeroBanner.defaultProps = {
  name: "Name",
  balance: 0
};