"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EmptyRewardsPageDesktop = void 0;
var _react = _interopRequireDefault(require("react"));
var _utils = require("../../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const EmptyRewardsPageDesktop = () => {
  const mask = (0, _utils.makeId)(5);
  const paint1 = (0, _utils.makeId)(6);
  const paint2 = (0, _utils.makeId)(7);
  const paint3 = (0, _utils.makeId)(8);
  const clip1 = (0, _utils.makeId)(9);
  const clip2 = (0, _utils.makeId)(10);
  return /*#__PURE__*/_react.default.createElement("svg", {
    width: "500",
    height: "400",
    viewBox: "0 0 500 400",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#".concat(clip1, ")")
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: "500",
    height: "400",
    fill: "none"
  }), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#".concat(clip2, ")")
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M438.846 339.75C414.477 399.23 222.116 439.572 98.5241 331.346C46.7936 286.047 43.2571 233.593 82.4738 178.596C121.676 123.585 236.921 9.79797 321.296 104.074C405.685 198.365 458.676 291.391 438.846 339.75Z",
    fill: "url(#".concat(paint1, ")")
  }), /*#__PURE__*/_react.default.createElement("mask", {
    id: mask,
    style: {
      maskType: "alpha"
    },
    maskUnits: "userSpaceOnUse",
    x: "55",
    y: "0",
    width: "388",
    height: "399"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M438.846 339.752C414.477 399.231 222.116 439.574 98.5243 331.347C46.7939 286.048 43.2574 233.594 82.474 178.597C121.676 123.586 227.199 -67.6686 311.575 26.6076C395.964 120.898 458.676 291.392 438.846 339.752Z",
    fill: "url(#".concat(paint2, ")")
  })), /*#__PURE__*/_react.default.createElement("g", {
    mask: "url(#".concat(mask, ")")
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M263.08 155.191C299.202 155.191 328.484 125.809 328.484 89.563C328.484 53.3174 299.202 23.9346 263.08 23.9346C226.958 23.9346 197.676 53.3174 197.676 89.563C197.676 125.809 226.958 155.191 263.08 155.191Z",
    fill: "#F28A19"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M253.301 80.7708L265.256 64.9814L270.353 86.0147L295.338 87.3365L271.298 102.12L292.703 119.159L258.112 109.792L255.119 132.779L248.39 103.255L226.025 98.2985L248.576 91.819L234.544 68.5301L253.301 80.7708Z",
    fill: "#AE00CC"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M262.779 5.55957V50.0398",
    stroke: "#AE00CC",
    strokeWidth: "2",
    strokeMiterlimit: "10",
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M262.779 172.892V131.559",
    stroke: "#AE00CC",
    strokeWidth: "2",
    strokeMiterlimit: "10",
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M176.414 90.7988H231.108",
    stroke: "#AE00CC",
    strokeWidth: "2",
    strokeMiterlimit: "10",
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M349.717 90.7988H317.817",
    stroke: "#AE00CC",
    strokeWidth: "2",
    strokeMiterlimit: "10",
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M213.469 136.285L235.532 115.912",
    stroke: "#AE00CC",
    strokeWidth: "2",
    strokeMiterlimit: "10",
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M299.404 58.0283L278.887 78.1852",
    stroke: "#AE00CC",
    strokeWidth: "2",
    strokeMiterlimit: "10",
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M312.09 149.144L303.557 139.072",
    stroke: "#AE00CC",
    strokeWidth: "2",
    strokeMiterlimit: "10",
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M219.124 39.8105L231.495 54.1632",
    stroke: "#AE00CC",
    strokeWidth: "2",
    strokeMiterlimit: "10",
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M284.213 193.696C284.213 193.696 283.583 207.388 274.863 209.442C266.144 211.496 261.777 208.594 261.777 208.594C261.777 208.594 262.02 220.39 250.68 219.772C239.34 219.154 239.34 213.766 239.34 213.766C239.34 213.766 239.14 224.111 227.8 222.66C216.461 221.209 220.785 209.83 220.785 209.83C220.785 209.83 212.337 202.172 218.938 193.495C218.938 193.495 215.43 193.092 214.814 191.325C214.814 191.325 275.064 195.147 284.213 193.696Z",
    fill: "#5B16CF"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M159.662 315.068C158.602 336.791 159.089 359.39 160.793 367.637C160.965 368.499 161.18 369.447 161.409 370.496C162.554 375.697 166.406 379.835 171.46 381.314C173.55 381.932 175.712 382.033 177.874 381.645L178.132 381.602C181.998 380.84 185.305 378.556 187.424 375.194C189.543 371.847 190.202 367.738 189.243 363.916C187.052 355.138 185.978 346.848 186.064 339.248C186.136 333.314 186.293 327.294 186.451 321.461C187.295 289.969 187.897 267.226 175.913 263.72C175.684 263.649 175.44 263.591 175.197 263.534C173.02 263.074 170.873 263.778 169.14 265.516C164.229 270.444 161.036 287.11 159.676 315.082L159.662 315.068Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M159.977 315.082C159.376 326.058 159.118 337.064 159.333 348.054C159.476 353.557 159.676 359.059 160.335 364.519C160.993 369.892 162.211 375.783 166.95 379.044C178.748 387.449 193.438 375.553 188.641 362.076C186.279 352.709 185.42 343.026 185.821 333.371C185.935 322.366 186.236 311.361 186.236 300.385C185.878 289.81 186.594 277.972 181.182 268.562C178.447 264.137 171.947 261.967 168.639 267.082C165.69 271.55 164.587 277.139 163.499 282.368C161.48 293.144 160.621 304.134 159.963 315.096L159.977 315.082ZM159.361 315.053C159.862 304.063 160.55 293.043 162.411 282.153C163.8 273.806 167.766 256.982 179.349 264.639C188.298 271.665 187.138 289.897 187.453 300.385C187.396 311.404 186.823 322.395 186.58 333.386C186.035 342.997 186.751 352.623 188.971 362.005C193.581 375.596 178.891 387.621 166.964 379.073C162.253 375.768 160.979 369.921 160.278 364.533C159.576 359.074 159.333 353.571 159.161 348.069C158.831 337.063 158.917 326.058 159.376 315.053H159.361Z",
    fill: "#5B16CF"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M239.87 255.703C235.002 254.683 231.523 251.781 229.032 247.945C221.228 236.006 223.204 215.102 223.204 215.102C224.164 190.822 239.326 182.46 253.057 185.478C264.11 187.862 274.233 197.646 275.207 212.387C277.369 245.445 259.973 259.942 239.885 255.703H239.87Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M261.707 251.9C265.331 249.525 272.829 241.675 273.832 229.27",
    stroke: "#5B16CF"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M206.152 328.831C206.152 328.831 276.152 348.571 284.213 332.725C284.213 332.725 259.615 273.087 262.622 244.899L229.448 243.29C231.051 265.286 209.66 320.843 206.152 328.831Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M256.021 222.846C251.755 238.075 244.811 246.351 233.127 247.155C213.297 247.155 214.815 221.165 214.815 211.137C214.815 201.109 230.02 183.193 244.023 184.314C255.291 190.118 260.632 206.367 256.007 222.846H256.021Z",
    fill: "#5B16CF"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M230.693 179.63C230.693 179.63 233.585 170.521 244.71 173.007C255.85 175.492 275.064 195.146 284.213 193.695C284.213 193.695 274.921 207.387 266.201 209.442C257.482 211.496 253.115 208.594 253.115 208.594C253.115 208.594 253.358 220.389 242.019 219.771C230.679 219.154 230.679 213.766 230.679 213.766C230.679 213.766 230.478 224.11 219.139 222.659C207.799 221.208 212.123 209.829 212.123 209.829C212.123 209.829 203.675 202.172 210.276 193.494C210.276 193.494 206.768 193.092 206.152 191.325C206.152 191.325 210.276 191.785 215.43 184.874C220.585 177.963 221.616 175.492 230.679 179.63H230.693Z",
    fill: "#5B16CF"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M255.004 213.924C257.481 214.211 259.414 216.423 260.187 219.441C258.369 220.374 257.052 222.113 256.808 224.225C256.594 226.107 257.281 227.874 258.541 229.167C257.109 231.25 255.076 232.486 252.957 232.242C249.377 231.839 246.929 227.4 247.502 222.343C248.075 217.286 251.439 213.507 255.019 213.909L255.004 213.924Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M255.004 213.924C257.481 214.211 259.414 216.423 260.187 219.441C258.369 220.374 257.052 222.113 256.808 224.225C256.594 226.107 257.281 227.874 258.541 229.167C257.109 231.25 255.076 232.486 252.957 232.242C249.377 231.839 246.929 227.4 247.502 222.343C248.075 217.286 251.439 213.507 255.019 213.909L255.004 213.924Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M271.524 218.202C272.551 218.148 273.314 216.769 273.229 215.121C273.144 213.473 272.242 212.18 271.216 212.233C270.189 212.287 269.426 213.666 269.511 215.314C269.596 216.963 270.498 218.255 271.524 218.202Z",
    fill: "#5B16CF"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M275.608 219.369C275.608 219.369 278.858 224.024 278.572 225.662C278.286 227.3 277.784 229.368 272.415 228.463C267.046 227.558 272.415 217.243 275.608 219.369Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M274.548 219.729C275.293 220.677 275.966 221.639 276.538 222.631C277.097 223.622 277.541 224.628 277.713 225.633C277.756 225.878 277.77 226.136 277.756 226.366C277.741 226.481 277.756 226.596 277.698 226.697L277.655 226.855C277.655 226.855 277.598 226.955 277.569 226.998C277.526 227.099 277.441 227.185 277.369 227.271C277.34 227.314 277.283 227.358 277.226 227.386C277.168 227.429 277.14 227.472 277.083 227.501C276.968 227.559 276.868 227.645 276.725 227.688L276.538 227.774L276.324 227.846C275.765 228.018 275.107 228.105 274.448 228.133C273.775 228.162 273.088 228.133 272.401 228.09C272.257 228.09 272.157 228.162 272.157 228.263C272.157 228.363 272.272 228.449 272.415 228.464C273.131 228.536 273.832 228.593 274.548 228.579C275.264 228.579 275.98 228.507 276.653 228.334L276.911 228.263L277.154 228.176C277.326 228.119 277.455 228.033 277.612 227.961C277.684 227.918 277.741 227.875 277.813 227.817C277.87 227.76 277.956 227.731 277.999 227.674C278.099 227.559 278.228 227.458 278.3 227.314C278.343 227.257 278.385 227.185 278.414 227.128L278.486 226.927C278.543 226.797 278.557 226.639 278.586 226.51C278.615 226.223 278.615 225.964 278.586 225.677C278.471 224.57 278.042 223.493 277.526 222.444C276.997 221.395 276.338 220.375 275.622 219.384C275.45 219.14 275.064 219.025 274.777 219.125C274.477 219.226 274.376 219.499 274.548 219.729C274.548 219.729 274.548 219.729 274.563 219.743L274.548 219.729Z",
    fill: "#5B16CF"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M214.514 220.433C214.514 220.433 211.121 241.15 227.414 246.106",
    stroke: "#5B16CF",
    strokeWidth: "0.25",
    strokeMiterlimit: "10"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M230.693 179.63C230.693 179.63 224.379 173.265 219.482 178.409C214.585 183.552 210.576 190.491 206.166 191.325",
    stroke: "#5B16CF",
    strokeWidth: "0.25",
    strokeMiterlimit: "10"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M230.278 181.599C230.278 181.599 229.576 172.648 238.983 171.528C257.195 169.358 260.13 187.619 284.213 193.682",
    stroke: "#5B16CF",
    strokeWidth: "0.25",
    strokeMiterlimit: "10"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M209.703 192.776C209.703 192.776 202.658 203.164 212.137 209.816",
    stroke: "#5B16CF",
    strokeWidth: "0.25",
    strokeMiterlimit: "10"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M211.851 208.896C211.851 208.896 207.799 218.665 215 221.467",
    stroke: "#5B16CF",
    strokeWidth: "0.25",
    strokeMiterlimit: "10"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M161.981 365.353C162.082 364.419 162.196 363.586 162.325 362.882C163.685 355.052 167.451 336.978 172.262 319.235C181.124 286.636 186.021 283.26 187.868 281.995C189.3 281.018 190.961 280.199 192.836 279.596C198.563 277.714 207.183 277.556 212.667 283.288C216.418 287.211 219.697 295.141 213.941 310.586C213.783 311.017 213.683 311.275 207.154 322.884L206.567 323.933C204.534 327.596 194.197 347.02 190.087 369.591C189.142 374.792 185.448 379.044 180.451 380.682C178.461 381.329 176.399 381.53 174.323 381.257L174.066 381.228C166.449 380.136 161.137 373.183 161.967 365.381L161.981 365.353Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M162.411 364.031C162.554 363.111 162.711 362.278 162.869 361.574C164.601 353.816 169.226 335.943 174.896 318.458C185.305 286.334 190.373 283.202 192.278 282.024C193.752 281.119 195.456 280.386 197.346 279.869C203.159 278.274 211.779 278.533 216.976 284.524C220.541 288.633 223.419 296.707 216.947 311.85C216.761 312.281 216.661 312.525 209.588 323.803L208.944 324.823C206.739 328.386 195.485 347.279 190.302 369.634C189.114 374.777 185.219 378.843 180.151 380.237C178.132 380.797 176.07 380.883 174.008 380.524L173.75 380.481C166.191 379.03 161.222 371.818 162.425 364.074L162.411 364.031Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M322.728 175.722C336.13 192.805 348.787 211.511 352.166 219.226C352.509 220.03 352.896 220.921 353.311 221.912C355.373 226.811 354.628 232.429 351.364 236.567C350.004 238.291 348.314 239.627 346.324 240.561L346.095 240.676C342.501 242.299 338.492 242.371 334.813 240.862C331.161 239.368 328.241 236.409 326.823 232.731C323.544 224.312 319.621 216.927 315.168 210.778C311.689 205.979 308.081 201.166 304.588 196.511C285.717 171.34 272.086 153.152 279.832 143.325C279.989 143.138 280.147 142.937 280.319 142.764C281.822 141.127 283.984 140.451 286.39 140.854C293.233 142.003 305.461 153.741 322.728 175.737V175.722Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M309.789 202.028L324.841 227.593L306.862 246.871",
    stroke: "#5B16CF"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M352.223 238.837C351.721 239.627 351.263 240.331 350.848 240.92C346.223 247.371 334.984 261.996 322.943 275.86C300.807 301.319 294.937 302.209 292.718 302.54C291.014 302.798 289.152 302.798 287.205 302.54C281.235 301.721 273.403 298.1 270.969 290.543C269.293 285.371 269.795 276.808 281.678 265.415C282.008 265.099 282.208 264.898 293.118 257.312L294.106 256.623C297.528 254.209 315.268 241.25 328.77 222.745C331.877 218.478 337.046 216.266 342.257 216.984C344.333 217.272 346.266 217.99 348.027 219.139L348.242 219.283C354.628 223.593 356.389 232.185 352.237 238.837H352.223Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M345.308 256.422L298.059 245.963L273.833 264.482H224.479C221.014 266.393 183.315 279.366 183.315 283.331L160.65 358.787L186.15 357.02L190.102 459.888L314.324 465.692L301.91 308.905L345.308 256.422Z",
    fill: "url(#".concat(paint3, ")")
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M286.676 172.389C281.693 165.393 276.625 157.405 277.169 148.382C277.527 144.977 279.789 141.299 283.297 140.538C286.805 140.049 289.998 142.075 292.761 143.842C301.652 150.149 308.854 158.511 315.799 166.786C321.325 173.467 326.551 180.377 331.491 187.489C323.544 177.231 315.369 167.16 306.406 157.793C301.939 153.166 297.328 148.583 292.017 144.963C289.468 143.354 286.59 141.529 283.555 141.931C280.648 142.678 278.815 145.696 278.472 148.555C277.885 157.146 282.538 165.163 286.69 172.404L286.676 172.389Z",
    fill: "#5B16CF"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M224.465 264.467L227.944 259.396L244.624 263.031L262.951 258.706L267.376 265.459H224.465",
    fill: "#FF8C00"
  })), /*#__PURE__*/_react.default.createElement("path", {
    d: "M67.4961 88.937L57.6961 88.1733L63.7849 96.9489L56 106.603L69.4242 102.583L68.6559 116.071L76.6292 100.234L86.1393 106.661L77.4411 94.4992L83.0079 84.6285L73.1499 90.8247L69.1778 78L67.4961 88.937Z",
    fill: "#FF8C00"
  })), /*#__PURE__*/_react.default.createElement("path", {
    d: "M388.496 310.937L378.696 310.173L384.785 318.949L377 328.603L390.424 324.583L389.656 338.071L397.629 322.234L407.139 328.661L398.441 316.499L404.008 306.628L394.15 312.825L390.178 300L388.496 310.937Z",
    fill: "#0045FF"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("radialGradient", {
    id: paint1,
    cx: "0",
    cy: "0",
    r: "1",
    gradientUnits: "userSpaceOnUse",
    gradientTransform: "translate(249.502 233.473) rotate(90) scale(165.522 193.505)"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    stopColor: "#FFF5BB"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "1",
    stopColor: "#FFC629"
  })), /*#__PURE__*/_react.default.createElement("radialGradient", {
    id: paint2,
    cx: "0",
    cy: "0",
    r: "1",
    gradientUnits: "userSpaceOnUse",
    gradientTransform: "translate(249.265 199.946) rotate(90) scale(199.05 193.267)"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    stopColor: "#FFF5BB"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "1",
    stopColor: "#FFC629"
  })), /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: paint3,
    x1: "210.662",
    y1: "478.924",
    x2: "287.252",
    y2: "270.527",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    stopColor: "#00BBCD"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0.35",
    stopColor: "#00B8CD"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0.52",
    stopColor: "#00B1D1"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0.65",
    stopColor: "#00A4D6"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0.76",
    stopColor: "#0091DE"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0.86",
    stopColor: "#0079E8"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0.94",
    stopColor: "#005CF5"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "1",
    stopColor: "#0045FF"
  })), /*#__PURE__*/_react.default.createElement("clipPath", {
    id: clip1
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: "500",
    height: "400",
    fill: "white"
  })), /*#__PURE__*/_react.default.createElement("clipPath", {
    id: clip2
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: "388",
    height: "404",
    fill: "white",
    transform: "translate(56 -5)"
  }))));
};
exports.EmptyRewardsPageDesktop = EmptyRewardsPageDesktop;