"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EmptyRewardsPageMobile = void 0;
var _react = _interopRequireDefault(require("react"));
var _utils = require("../../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const EmptyRewardsPageMobile = () => {
  const mask = (0, _utils.makeId)(5);
  const paint1 = (0, _utils.makeId)(6);
  const paint2 = (0, _utils.makeId)(7);
  const paint3 = (0, _utils.makeId)(8);
  const clip = (0, _utils.makeId)(9);
  return /*#__PURE__*/_react.default.createElement("svg", {
    width: "350",
    height: "280",
    viewBox: "0 0 350 280",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: "350",
    height: "280",
    fill: "none"
  }), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#".concat(clip, ")")
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M298.639 233.429C282.749 272.149 157.318 298.412 76.7281 227.957C42.9966 198.468 40.6906 164.321 66.2623 128.519C91.8246 92.707 166.971 18.6331 221.989 80.006C277.016 141.388 311.569 201.947 298.639 233.429V233.429Z",
    fill: "url(#".concat(paint1, ")")
  }), /*#__PURE__*/_react.default.createElement("mask", {
    id: mask,
    style: {
      maskType: "alpha"
    },
    maskUnits: "userSpaceOnUse",
    x: "48",
    y: "12",
    width: "254",
    height: "260"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M298.639 233.43C282.749 272.151 157.318 298.413 76.7281 227.959C42.9966 198.47 40.6906 164.322 66.2622 128.52C91.8246 92.7082 160.632 -31.7964 215.65 29.5766C270.677 90.9588 311.569 201.949 298.639 233.43Z",
    fill: "url(#".concat(paint2, ")")
  })), /*#__PURE__*/_react.default.createElement("g", {
    mask: "url(#".concat(mask, ")")
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M184.028 113.284C207.582 113.284 226.676 94.1559 226.676 70.5604C226.676 46.9649 207.582 27.8369 184.028 27.8369C160.475 27.8369 141.381 46.9649 141.381 70.5604C141.381 94.1559 160.475 113.284 184.028 113.284Z",
    fill: "#F28A19"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M177.651 64.8363L185.446 54.5576L188.77 68.2501L205.061 69.1105L189.386 78.7345L203.344 89.8269L180.788 83.7289L178.836 98.6934L174.448 79.4734L159.865 76.2467L174.57 72.0286L165.42 56.8678L177.651 64.8363Z",
    fill: "#AE00CC"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M183.832 15.875V44.8312",
    stroke: "#AE00CC",
    strokeWidth: "2",
    strokeMiterlimit: "10",
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M183.832 124.806V97.8984",
    stroke: "#AE00CC",
    strokeWidth: "2",
    strokeMiterlimit: "10",
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M127.516 71.3652H163.18",
    stroke: "#AE00CC",
    strokeWidth: "2",
    strokeMiterlimit: "10",
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M240.52 71.3652H219.719",
    stroke: "#AE00CC",
    strokeWidth: "2",
    strokeMiterlimit: "10",
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M151.678 100.976L166.065 87.7139",
    stroke: "#AE00CC",
    strokeWidth: "2",
    strokeMiterlimit: "10",
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M207.713 50.0312L194.334 63.1532",
    stroke: "#AE00CC",
    strokeWidth: "2",
    strokeMiterlimit: "10",
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M215.984 109.346L210.42 102.79",
    stroke: "#AE00CC",
    strokeWidth: "2",
    strokeMiterlimit: "10",
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M155.365 38.1719L163.432 47.5153",
    stroke: "#AE00CC",
    strokeWidth: "2",
    strokeMiterlimit: "10",
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M197.807 138.35C197.807 138.35 197.396 147.263 191.71 148.6C186.025 149.938 183.177 148.049 183.177 148.049C183.177 148.049 183.336 155.727 175.942 155.325C168.547 154.923 168.547 151.416 168.547 151.416C168.547 151.416 168.417 158.15 161.023 157.205C153.628 156.26 156.448 148.853 156.448 148.853C156.448 148.853 150.94 143.868 155.243 138.219C155.243 138.219 152.956 137.957 152.555 136.807C152.555 136.807 191.841 139.294 197.807 138.35Z",
    fill: "#5B16CF"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M116.593 217.362C115.902 231.504 116.219 246.216 117.33 251.584C117.442 252.145 117.582 252.763 117.732 253.445C118.479 256.831 120.99 259.525 124.286 260.488C125.649 260.89 127.059 260.956 128.468 260.703L128.636 260.675C131.157 260.179 133.314 258.692 134.695 256.504C136.077 254.325 136.507 251.65 135.881 249.162C134.453 243.447 133.753 238.051 133.809 233.103C133.855 229.24 133.958 225.322 134.061 221.524C134.611 201.023 135.004 186.218 127.189 183.936C127.04 183.889 126.881 183.851 126.722 183.814C125.303 183.515 123.903 183.973 122.773 185.105C119.571 188.313 117.489 199.162 116.602 217.372L116.593 217.362Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M116.798 217.371C116.406 224.517 116.238 231.681 116.378 238.836C116.472 242.418 116.602 246 117.032 249.554C117.461 253.052 118.255 256.887 121.345 259.01C129.038 264.481 138.617 256.737 135.489 247.964C133.949 241.866 133.389 235.563 133.65 229.277C133.725 222.113 133.921 214.949 133.921 207.803C133.687 200.92 134.154 193.213 130.625 187.087C128.842 184.206 124.603 182.794 122.447 186.124C120.524 189.032 119.805 192.671 119.095 196.075C117.779 203.09 117.219 210.245 116.789 217.381L116.798 217.371ZM116.397 217.353C116.724 210.198 117.172 203.024 118.386 195.935C119.291 190.501 121.877 179.549 129.43 184.534C135.265 189.107 134.509 200.976 134.714 207.803C134.677 214.977 134.304 222.132 134.145 229.287C133.79 235.544 134.257 241.81 135.704 247.918C138.71 256.765 129.131 264.594 121.354 259.029C118.283 256.877 117.452 253.071 116.994 249.564C116.537 246.01 116.378 242.427 116.266 238.845C116.052 231.681 116.108 224.517 116.406 217.353H116.397Z",
    fill: "#5B16CF"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M168.894 178.717C165.719 178.052 163.451 176.163 161.826 173.666C156.738 165.894 158.026 152.286 158.026 152.286C158.652 136.479 168.539 131.036 177.492 133C184.7 134.553 191.3 140.922 191.935 150.518C193.345 172.039 182.002 181.476 168.903 178.717H168.894Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M183.133 176.24C185.496 174.694 190.385 169.583 191.039 161.508",
    stroke: "#5B16CF"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M146.908 226.321C146.908 226.321 192.553 239.172 197.809 228.856C197.809 228.856 181.769 190.032 183.73 171.682L162.098 170.635C163.144 184.954 149.196 221.121 146.908 226.321Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M179.426 157.326C176.644 167.24 172.116 172.627 164.497 173.151C151.567 173.151 152.557 156.232 152.557 149.703C152.557 143.175 162.471 131.512 171.602 132.242C178.95 136.02 182.432 146.598 179.417 157.326H179.426Z",
    fill: "#5B16CF"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M162.91 129.193C162.91 129.193 164.796 123.263 172.05 124.881C179.314 126.499 191.843 139.294 197.809 138.349C197.809 138.349 191.75 147.262 186.064 148.6C180.378 149.937 177.531 148.048 177.531 148.048C177.531 148.048 177.689 155.727 170.295 155.325C162.901 154.922 162.901 151.415 162.901 151.415C162.901 151.415 162.77 158.149 155.376 157.204C147.982 156.26 150.801 148.852 150.801 148.852C150.801 148.852 145.293 143.867 149.597 138.218C149.597 138.218 147.31 137.956 146.908 136.806C146.908 136.806 149.597 137.105 152.958 132.607C156.319 128.108 156.991 126.499 162.901 129.193H162.91Z",
    fill: "#5B16CF"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M178.763 151.518C180.378 151.705 181.638 153.145 182.142 155.109C180.957 155.717 180.098 156.849 179.939 158.224C179.799 159.449 180.247 160.599 181.069 161.441C180.135 162.797 178.809 163.602 177.428 163.443C175.094 163.181 173.497 160.291 173.871 156.998C174.244 153.706 176.438 151.246 178.772 151.508L178.763 151.518Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M178.763 151.518C180.378 151.705 181.638 153.145 182.142 155.109C180.957 155.717 180.098 156.849 179.939 158.224C179.799 159.449 180.247 160.599 181.069 161.441C180.135 162.797 178.809 163.602 177.428 163.443C175.094 163.181 173.497 160.291 173.871 156.998C174.244 153.706 176.438 151.246 178.772 151.508L178.763 151.518Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M189.534 154.303C190.204 154.268 190.701 153.37 190.646 152.297C190.59 151.224 190.003 150.383 189.333 150.417C188.664 150.452 188.166 151.35 188.222 152.423C188.277 153.496 188.865 154.338 189.534 154.303Z",
    fill: "#5B16CF"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M192.197 155.062C192.197 155.062 194.317 158.093 194.13 159.159C193.943 160.225 193.616 161.572 190.115 160.983C186.614 160.394 190.115 153.678 192.197 155.062V155.062Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M191.506 155.296C191.992 155.914 192.431 156.54 192.804 157.186C193.168 157.831 193.458 158.486 193.57 159.14C193.598 159.299 193.607 159.468 193.598 159.617C193.588 159.692 193.598 159.767 193.56 159.832L193.532 159.935C193.532 159.935 193.495 160.001 193.476 160.029C193.448 160.094 193.392 160.15 193.346 160.207C193.327 160.235 193.29 160.263 193.252 160.281C193.215 160.309 193.196 160.338 193.159 160.356C193.084 160.394 193.019 160.45 192.925 160.478L192.804 160.534L192.664 160.581C192.3 160.693 191.871 160.749 191.441 160.768C191.002 160.786 190.554 160.768 190.106 160.74C190.013 160.74 189.947 160.786 189.947 160.852C189.947 160.917 190.022 160.974 190.115 160.983C190.582 161.03 191.04 161.067 191.506 161.058C191.973 161.058 192.44 161.011 192.879 160.899L193.047 160.852L193.206 160.796C193.318 160.758 193.402 160.702 193.504 160.656C193.551 160.627 193.588 160.599 193.635 160.562C193.672 160.525 193.728 160.506 193.756 160.468C193.822 160.394 193.906 160.328 193.952 160.235C193.98 160.197 194.008 160.15 194.027 160.113L194.074 159.982C194.111 159.898 194.121 159.795 194.139 159.711C194.158 159.524 194.158 159.355 194.139 159.168C194.065 158.448 193.784 157.747 193.448 157.064C193.103 156.381 192.673 155.717 192.207 155.072C192.095 154.913 191.843 154.838 191.656 154.904C191.46 154.969 191.394 155.147 191.506 155.296C191.506 155.296 191.506 155.296 191.516 155.306L191.506 155.296Z",
    fill: "#5B16CF"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M152.359 155.755C152.359 155.755 150.147 169.242 160.771 172.468",
    stroke: "#5B16CF",
    strokeWidth: "0.25",
    strokeMiterlimit: "10"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M162.909 129.193C162.909 129.193 158.792 125.05 155.599 128.399C152.406 131.747 149.792 136.264 146.916 136.807",
    stroke: "#5B16CF",
    strokeWidth: "0.25",
    strokeMiterlimit: "10"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M162.639 130.475C162.639 130.475 162.181 124.648 168.315 123.919C180.191 122.506 182.104 134.394 197.808 138.341",
    stroke: "#5B16CF",
    strokeWidth: "0.25",
    strokeMiterlimit: "10"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M149.224 137.751C149.224 137.751 144.63 144.513 150.811 148.843",
    stroke: "#5B16CF",
    strokeWidth: "0.25",
    strokeMiterlimit: "10"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M150.623 148.244C150.623 148.244 147.981 154.604 152.677 156.428",
    stroke: "#5B16CF",
    strokeWidth: "0.25",
    strokeMiterlimit: "10"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M118.106 250.096C118.171 249.488 118.246 248.946 118.33 248.488C119.217 243.39 121.672 231.625 124.809 220.074C130.588 198.853 133.781 196.655 134.986 195.832C135.919 195.196 137.002 194.662 138.225 194.27C141.96 193.044 147.58 192.942 151.156 196.673C153.602 199.227 155.74 204.389 151.987 214.444C151.884 214.724 151.819 214.893 147.562 222.45L147.179 223.132C145.853 225.517 139.112 238.162 136.433 252.855C135.817 256.241 133.408 259.01 130.15 260.076C128.852 260.497 127.508 260.628 126.154 260.45L125.986 260.431C121.019 259.72 117.555 255.194 118.097 250.115L118.106 250.096Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M118.385 249.236C118.478 248.638 118.581 248.095 118.684 247.637C119.813 242.586 122.829 230.951 126.526 219.569C133.313 198.656 136.618 196.617 137.86 195.85C138.822 195.261 139.933 194.784 141.165 194.448C144.956 193.409 150.576 193.578 153.965 197.478C156.29 200.153 158.166 205.409 153.946 215.267C153.825 215.547 153.76 215.706 149.147 223.048L148.727 223.712C147.29 226.032 139.951 238.331 136.572 252.884C135.797 256.232 133.257 258.879 129.952 259.786C128.636 260.151 127.292 260.207 125.947 259.973L125.779 259.945C120.85 259 117.61 254.305 118.394 249.264L118.385 249.236Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M222.922 126.65C231.66 137.77 239.913 149.948 242.117 154.97C242.341 155.494 242.593 156.074 242.864 156.719C244.208 159.908 243.723 163.565 241.594 166.259C240.707 167.381 239.605 168.251 238.308 168.859L238.158 168.934C235.815 169.991 233.201 170.037 230.801 169.055C228.421 168.083 226.516 166.156 225.592 163.762C223.454 158.281 220.896 153.474 217.992 149.471C215.723 146.347 213.371 143.214 211.093 140.183C198.788 123.797 189.9 111.957 194.951 105.559C195.053 105.438 195.156 105.307 195.268 105.195C196.248 104.128 197.658 103.689 199.226 103.951C203.689 104.699 211.662 112.34 222.922 126.659V126.65Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M214.485 143.774L224.299 160.417L212.576 172.966",
    stroke: "#5B16CF"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M242.155 167.736C241.828 168.251 241.529 168.709 241.259 169.093C238.243 173.292 230.914 182.813 223.062 191.839C208.629 208.412 204.801 208.992 203.354 209.207C202.243 209.375 201.029 209.375 199.759 209.207C195.866 208.674 190.759 206.317 189.172 201.397C188.08 198.03 188.407 192.456 196.156 185.039C196.37 184.833 196.501 184.702 203.615 179.764L204.259 179.315C206.491 177.744 218.058 169.308 226.862 157.261C228.888 154.484 232.259 153.043 235.657 153.511C237.011 153.698 238.271 154.166 239.419 154.914L239.559 155.007C243.723 157.813 244.872 163.406 242.164 167.736H242.155Z",
    fill: "#F2F1ED"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M237.646 179.184L206.837 172.375L191.04 184.431H158.859C156.599 185.675 132.017 194.12 132.017 196.702L117.238 245.822L133.866 244.672L136.443 311.638L217.443 315.416L209.349 213.35L237.646 179.184V179.184Z",
    fill: "url(#".concat(paint3, ")")
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M199.415 124.48C196.166 119.925 192.861 114.725 193.216 108.851C193.449 106.634 194.924 104.24 197.212 103.744C199.499 103.426 201.581 104.745 203.383 105.896C209.18 110.001 213.877 115.445 218.405 120.832C222.008 125.181 225.416 129.68 228.637 134.309C223.455 127.631 218.125 121.075 212.28 114.977C209.367 111.966 206.361 108.982 202.897 106.625C201.235 105.578 199.359 104.39 197.38 104.652C195.484 105.138 194.289 107.102 194.065 108.963C193.682 114.556 196.717 119.775 199.424 124.489L199.415 124.48Z",
    fill: "#5B16CF"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M158.848 184.421L161.116 181.12L171.993 183.486L183.943 180.671L186.828 185.067H158.848",
    fill: "#FF8C00"
  })), /*#__PURE__*/_react.default.createElement("path", {
    d: "M56.4962 70.1521L50.106 69.6549L54.0762 75.3677L49 81.6528L57.7534 79.0356L57.2524 87.8158L62.4515 77.5065L68.6527 81.6903L62.9809 73.773L66.6108 67.3473L60.1828 71.381L57.5927 63.0322L56.4962 70.1521Z",
    fill: "#FF8C00"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M265.566 214.198L259.116 213.695L263.123 219.47L258 225.824L266.835 223.178L266.329 232.055L271.576 221.633L277.835 225.862L272.111 217.858L275.774 211.362L269.287 215.44L266.672 207L265.566 214.198Z",
    fill: "#0045FF"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("radialGradient", {
    id: paint1,
    cx: "0",
    cy: "0",
    r: "1",
    gradientUnits: "userSpaceOnUse",
    gradientTransform: "translate(175.175 164.243) rotate(90) scale(107.753 126.177)"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    stopColor: "#FFF5BB"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "1",
    stopColor: "#FFC629"
  })), /*#__PURE__*/_react.default.createElement("radialGradient", {
    id: paint2,
    cx: "0",
    cy: "0",
    r: "1",
    gradientUnits: "userSpaceOnUse",
    gradientTransform: "translate(175.02 142.418) rotate(90) scale(129.579 126.022)"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    stopColor: "#FFF5BB"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "1",
    stopColor: "#FFC629"
  })), /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: paint3,
    x1: "149.849",
    y1: "324.03",
    x2: "199.646",
    y2: "188.313",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    stopColor: "#00BBCD"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0.35",
    stopColor: "#00B8CD"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0.52",
    stopColor: "#00B1D1"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0.65",
    stopColor: "#00A4D6"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0.76",
    stopColor: "#0091DE"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0.86",
    stopColor: "#0079E8"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0.94",
    stopColor: "#005CF5"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "1",
    stopColor: "#0045FF"
  })), /*#__PURE__*/_react.default.createElement("clipPath", {
    id: clip
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: "253",
    height: "263",
    fill: "white",
    transform: "translate(49 9)"
  }))));
};
exports.EmptyRewardsPageMobile = EmptyRewardsPageMobile;